/** removes the SLA.SLAID row on MAXATTRIBUTE and MAXATTRIBUTECFG created by a Integrity Checker **/
/** callout to pass on Validate enhacements created on 7114 core release**/

delete from maxattribute where objectname = 'SLA' and attributename = 'SLAID'
;
delete from maxattributecfg where objectname = 'SLA' and attributename = 'SLAID'
;


/**in db2 case, i will just drop and re-create later.**/

drop view sla
;
update maxattribute set objectname='PLUSPXXXSLA' where objectname = 'SLA'
;
update maxattributecfg set objectname='PLUSPXXXSLA' where objectname = 'SLA'
;
update maxattribute set entityname='PLUSPXXXSLA' where entityname = 'SLA'
;
update maxattributecfg set entityname='PLUSPXXXSLA' where entityname = 'SLA'
;
update maxobject set objectname = 'PLUSPXXXSLA',entityname='PLUSPXXXSLA' where objectname = 'SLA'
;
update maxobjectcfg set objectname = 'PLUSPXXXSLA',entityname='PLUSPXXXSLA' where objectname = 'SLA'
;
update maxviewcolumn set viewname = 'PLUSPXXXSLA' where viewname = 'SLA'
;
update maxviewcolumncfg set viewname = 'PLUSPXXXSLA' where viewname = 'SLA'
;
update maxview set viewname = 'PLUSPXXXSLA' where viewname = 'SLA'
;
update maxviewcfg set viewname = 'PLUSPXXXSLA' where viewname = 'SLA'
;

/**** Create SLA object***/


insert into maxtable
(tablename, addrowstamp, eaudittbname, isaudittable,
restoredata,storagepartition,textsearchenabled,islangtable,langcolumnname,langtablename,uniquecolumnname,maxtableid)
values ( 'SLA' , 1 , NULL , 0 ,0, 'TOPAZ' , 1 ,
 0 , 'LANGCODE' , NULL , 'SLAID' ,nextval for maxtableseq)
;



insert into maxtablecfg
(tablename, addrowstamp, eaudittbname, isaudittable,
restoredata,storagepartition,textsearchenabled,islangtable,langcolumnname,langtablename,uniquecolumnname,maxtableid)
values ( 'SLA' , 1 , NULL , 0 ,0, 'TOPAZ' , 1 ,
 0 , 'LANGCODE' , NULL , 'SLAID' ,nextval for maxtablecfgseq)
;



insert into maxobject 
(objectname, classname, description,eauditenabled, eauditfilter, entityname,
esigfilter, extendsobject, isview, imported,
persistent, servicename, siteorgtype,userdefined,mainobject,internal, maxobjectid)
 values (
 'SLA' , 'psdi.app.sla.SLASet' , 'Service Level Agreements' , 0 , NULL ,
 'SLA' , NULL , NULL , 0 , 0 , 1 , 'SLA' , 'SYSTEM' , 0 ,
 1 , 0 ,nextval for maxobjectseq)
;



insert into maxobjectcfg 
(objectname, classname, description,eauditenabled, eauditfilter, entityname,
esigfilter, extendsobject, isview, imported,
persistent, servicename, siteorgtype,userdefined,mainobject,internal, changed,maxobjectid)
 values (
 'SLA' , 'psdi.app.sla.SLASet' , 'Service Level Agreements' , 0 , NULL ,
 'SLA' , NULL , NULL , 0 , 0 , 1 , 'SLA' , 'SYSTEM' , 0 ,
 1 , 0 ,'N',nextval for maxobjectcfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'SLANUM' , 'SLA' , 'SLANUM' , 'SLANUM' , 'SLANUM' ,
 1 , 'UPPER' , 10 , 0 , 1 , 0 , NULL , NULL , 0 , 0 , 'Identifies the service level agreement (SLA) record. This value must be unique for all SLA records.' , '&AUTOKEY&' , 'SLA' ,
 1 , 1 , 0 , NULL , NULL , 1 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'SLANUM' , 'SLA' , 'SLANUM' , 'SLANUM' , 'SLANUM' ,
 1 , 'UPPER' , 10 , 0 , 1 , 0 , NULL , NULL , 0 , 0 , 'Identifies the service level agreement (SLA) record. This value must be unique for all SLA records.' , '&AUTOKEY&' , 'SLA' ,
 1 , 1 , 0 , NULL , NULL , 1 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'SLATYPE' , 'SLA' , 'SLATYPE' , 'SLATYPE' , NULL ,
 2 , 'ALN' , 10 , 0 , 1 , 0 , NULL , NULL , 0 , 0 , 'Category of service level agreement. Types include customer, internal, and vendor. Click the Select Value button to choose an SLA type.' , 'INTERNAL' , 'Type' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLASLAType' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'SLATYPE' , 'SLA' , 'SLATYPE' , 'SLATYPE' , NULL ,
 2 , 'ALN' , 10 , 0 , 1 , 0 , NULL , NULL , 0 , 0 , 'Category of service level agreement. Types include customer, internal, and vendor. Click the Select Value button to choose an SLA type.' , 'INTERNAL' , 'Type' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLASLAType' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'OBJECTNAME' , 'SLA' , 'OBJECTNAME' , 'OBJECTNAME' , NULL ,
 3 , 'ALN' , 18 , 0 , 1 , 0 , NULL , NULL , 0 , 0 , 'Maximo business object to which this service level agreement applies. Some examples include INCIDENT, SR, and CHANGE. Click the Select Value button to choose an object.' , NULL , 'Applies To' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAObjectName' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'OBJECTNAME' , 'SLA' , 'OBJECTNAME' , 'OBJECTNAME' , NULL ,
 3 , 'ALN' , 18 , 0 , 1 , 0 , NULL , NULL , 0 , 0 , 'Maximo business object to which this service level agreement applies. Some examples include INCIDENT, SR, and CHANGE. Click the Select Value button to choose an object.' , NULL , 'Applies To' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAObjectName' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'DESCRIPTION' , 'SLA' , 'DESCRIPTION' , 'DESCRIPTION' , NULL ,
 4 , 'ALN' , 254 , 0 , 0 , 1 , NULL , NULL , 0 , 0 , 'Describes the service level agreement (SLA). To enter or view additional information, click the Long Description button.' , NULL , 'Description' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'TEXT' , 1 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'DESCRIPTION' , 'SLA' , 'DESCRIPTION' , 'DESCRIPTION' , NULL ,
 4 , 'ALN' , 254 , 0 , 0 , 1 , NULL , NULL , 0 , 0 , 'Describes the service level agreement (SLA). To enter or view additional information, click the Long Description button.' , NULL , 'Description' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'TEXT' , 1 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'STATUS' , 'SLA' , 'STATUS' , 'STATUS' , NULL ,
 5 , 'ALN' , 12 , 0 , 1 , 0 , NULL , NULL , 0 , 0 , 'Status of the service level agreement. Values include DRAFT, ACTIVE, and INACTIVE. Only SLAs that you mark as ACTIVE can be applied by other Maximo user to a record. Click the Select Value button to choose a status.' , 'DRAFT' , 'Status' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAStatus' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'STATUS' , 'SLA' , 'STATUS' , 'STATUS' , NULL ,
 5 , 'ALN' , 12 , 0 , 1 , 0 , NULL , NULL , 0 , 0 , 'Status of the service level agreement. Values include DRAFT, ACTIVE, and INACTIVE. Only SLAs that you mark as ACTIVE can be applied by other Maximo user to a record. Click the Select Value button to choose a status.' , 'DRAFT' , 'Status' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAStatus' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'STATUSDATE' , 'SLA' , 'STATUSDATE' , 'STATUSDATE' , NULL ,
 6 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Calendar day and time that the SLA status was last changed.' , NULL , 'Status Date' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'STATUSDATE' , 'SLA' , 'STATUSDATE' , 'STATUSDATE' , NULL ,
 6 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Calendar day and time that the SLA status was last changed.' , NULL , 'Status Date' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'STARTDATE' , 'SLA' , 'STARTDATE' , 'STARTDATE' , NULL ,
 7 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Calendar day and time that this service level agreement becomes valid. Click the Select Date and Time button to choose a day and time.' , NULL , 'Start Date' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAStartDate' , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'STARTDATE' , 'SLA' , 'STARTDATE' , 'STARTDATE' , NULL ,
 7 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Calendar day and time that this service level agreement becomes valid. Click the Select Date and Time button to choose a day and time.' , NULL , 'Start Date' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAStartDate' , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'ENDDATE' , 'SLA' , 'ENDDATE' , 'ENDDATE' , NULL ,
 8 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Last calendar day and time that this service level agreement is valid. Click the Select Date and Time button to choose a day and time.' , NULL , 'End Date' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAEndDate' , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'ENDDATE' , 'SLA' , 'ENDDATE' , 'ENDDATE' , NULL ,
 8 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Last calendar day and time that this service level agreement is valid. Click the Select Date and Time button to choose a day and time.' , NULL , 'End Date' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAEndDate' , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'REVIEWDATE' , 'SLA' , 'REVIEWDATE' , 'REVIEWDATE' , NULL ,
 9 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Calendar day and time that the service level agreement is up for review. Click the Select Date and Time button to choose a day and time.' , NULL , 'Review Date' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'REVIEWDATE' , 'SLA' , 'REVIEWDATE' , 'REVIEWDATE' , NULL ,
 9 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Calendar day and time that the service level agreement is up for review. Click the Select Date and Time button to choose a day and time.' , NULL , 'Review Date' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'RANKING' , 'SLA' , 'RANKING' , 'RANKING' , NULL ,
 10 , 'INTEGER' , 12 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Numerical value that determines which single SLA Maximo should apply to a record or the order in which Maximo should apply multiple SLAs if more than one SLA can be applied a record. A system administration configures whether one or multiple SLAs can be applied to a record, and whether to use rank or stringency to apply them. When you rank an SLA, the lowest number has the highest rank. The highest possible rank is one (1).' , NULL , 'Ranking' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLARanking' , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'RANKING' , 'SLA' , 'RANKING' , 'RANKING' , NULL ,
 10 , 'INTEGER' , 12 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Numerical value that determines which single SLA Maximo should apply to a record or the order in which Maximo should apply multiple SLAs if more than one SLA can be applied a record. A system administration configures whether one or multiple SLAs can be applied to a record, and whether to use rank or stringency to apply them. When you rank an SLA, the lowest number has the highest rank. The highest possible rank is one (1).' , NULL , 'Ranking' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLARanking' , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'COMMODITYGROUP' , 'SLA' , 'COMMODITYGROUP' , 'COMMODITYGROUP' , NULL ,
 11 , 'UPPER' , 8 , 0 , 0 , 0 , 'COMMODITIES' , 'COMMODITY' , 1 , 0 , 'Category of services, for example, IT or FLEET. Click Select Value to choose a service group.' , NULL , 'Service Group' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLACommodityGrpId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'COMMODITYGROUP' , 'SLA' , 'COMMODITYGROUP' , 'COMMODITYGROUP' , NULL ,
 11 , 'UPPER' , 8 , 0 , 0 , 0 , 'COMMODITIES' , 'COMMODITY' , 1 , 0 , 'Category of services, for example, IT or FLEET. Click Select Value to choose a service group.' , NULL , 'Service Group' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLACommodityGrpId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'COMMODITY' , 'SLA' , 'COMMODITY' , 'COMMODITY' , NULL ,
 12 , 'UPPER' , 8 , 0 , 0 , 0 , 'COMMODITIES' , 'COMMODITY' , 1 , 0 , 'Set of tasks provided by a service provider that fulfills one or more needs of a customer. Services must be associated with a service group. Click the Select Value button to choose a service.' , NULL , 'Service' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLACommodityId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'COMMODITY' , 'SLA' , 'COMMODITY' , 'COMMODITY' , NULL ,
 12 , 'UPPER' , 8 , 0 , 0 , 0 , 'COMMODITIES' , 'COMMODITY' , 1 , 0 , 'Set of tasks provided by a service provider that fulfills one or more needs of a customer. Services must be associated with a service group. Click the Select Value button to choose a service.' , NULL , 'Service' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLACommodityId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'ORGID' , 'SLA' , 'ORGID' , 'ORGID' , NULL ,
 13 , 'UPPER' , 8 , 0 , 0 , 0 , 'ORGANIZATION' , 'ORGID' , 0 , 0 , 'Organization to which the service level agreement (SLA) applies. If you do not specify an organization or site, the SLA will be applicable system-wide. Click the Select Value button to choose an organization.' , NULL , 'Organization' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAOrgId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'ORGID' , 'SLA' , 'ORGID' , 'ORGID' , NULL ,
 13 , 'UPPER' , 8 , 0 , 0 , 0 , 'ORGANIZATION' , 'ORGID' , 0 , 0 , 'Organization to which the service level agreement (SLA) applies. If you do not specify an organization or site, the SLA will be applicable system-wide. Click the Select Value button to choose an organization.' , NULL , 'Organization' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAOrgId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'SITEID' , 'SLA' , 'SITEID' , 'SITEID' , NULL ,
 14 , 'UPPER' , 8 , 0 , 0 , 0 , 'SITE' , 'SITEID' , 0 , 0 , 'Site to which the service level agreement (SLA) applies. If you do not specify an organization or site, the SLA will be applicable system-wide. Click the Select Value button to choose a site.' , NULL , 'Site' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLASiteId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'SITEID' , 'SLA' , 'SITEID' , 'SITEID' , NULL ,
 14 , 'UPPER' , 8 , 0 , 0 , 0 , 'SITE' , 'SITEID' , 0 , 0 , 'Site to which the service level agreement (SLA) applies. If you do not specify an organization or site, the SLA will be applicable system-wide. Click the Select Value button to choose a site.' , NULL , 'Site' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLASiteId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'VENDOR' , 'SLA' , 'VENDOR' , 'VENDOR' , NULL ,
 15 , 'UPPER' , 12 , 0 , 0 , 0 , 'COMPANIES' , 'COMPANY' , 0 , 0 , 'Company associated with the service level agreement. Maximo defaults a value in the Organization field based on your selection. Click the Select Value button to choose a vendor company.' , NULL , 'Vendor' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAVendor' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'VENDOR' , 'SLA' , 'VENDOR' , 'VENDOR' , NULL ,
 15 , 'UPPER' , 12 , 0 , 0 , 0 , 'COMPANIES' , 'COMPANY' , 0 , 0 , 'Company associated with the service level agreement. Maximo defaults a value in the Organization field based on your selection. Click the Select Value button to choose a vendor company.' , NULL , 'Vendor' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAVendor' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'SLACALENDAR' , 'SLA' , 'SLACALENDAR' , 'SLACALENDAR' , NULL ,
 16 , 'UPPER' , 8 , 0 , 0 , 0 , 'CALENDAR' , 'CALNUM' , 0 , 0 , 'Business days and times for which the service level agreement (SLA) is valid. Used to determine whether the SLA is applicable to a record. Click the Detail Menu to select a calendar or go to the Calendars application to create one.' , NULL , 'Calendar' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLACalendar' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'SLACALENDAR' , 'SLA' , 'SLACALENDAR' , 'SLACALENDAR' , NULL ,
 16 , 'UPPER' , 8 , 0 , 0 , 0 , 'CALENDAR' , 'CALNUM' , 0 , 0 , 'Business days and times for which the service level agreement (SLA) is valid. Used to determine whether the SLA is applicable to a record. Click the Detail Menu to select a calendar or go to the Calendars application to create one.' , NULL , 'Calendar' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLACalendar' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CREATEBY' , 'SLA' , 'CREATEBY' , 'CREATEBY' , NULL ,
 17 , 'UPPER' , 30 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Create By' , NULL , 'Created By' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CREATEBY' , 'SLA' , 'CREATEBY' , 'CREATEBY' , NULL ,
 17 , 'UPPER' , 30 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Create By' , NULL , 'Created By' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CREATEDATE' , 'SLA' , 'CREATEDATE' , 'CREATEDATE' , NULL ,
 18 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Date the SLA was created' , NULL , 'Created Date' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CREATEDATE' , 'SLA' , 'CREATEDATE' , 'CREATEDATE' , NULL ,
 18 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Date the SLA was created' , NULL , 'Created Date' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CHANGEBY' , 'SLA' , 'CHANGEBY' , 'CHANGEBY' , NULL ,
 19 , 'UPPER' , 30 , 0 , 1 , 0 , 'PERSON' , 'PERSONID' , 0 , 0 , 'Last user to change the SLA' , NULL , 'Changed By' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CHANGEBY' , 'SLA' , 'CHANGEBY' , 'CHANGEBY' , NULL ,
 19 , 'UPPER' , 30 , 0 , 1 , 0 , 'PERSON' , 'PERSONID' , 0 , 0 , 'Last user to change the SLA' , NULL , 'Changed By' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CHANGEDATE' , 'SLA' , 'CHANGEDATE' , 'CHANGEDATE' , NULL ,
 20 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Date the SLA was last changed' , NULL , 'Changed Date' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CHANGEDATE' , 'SLA' , 'CHANGEDATE' , 'CHANGEDATE' , NULL ,
 20 , 'DATETIME' , 10 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Date the SLA was last changed' , NULL , 'Changed Date' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'ESCALATION' , 'SLA' , 'ESCALATION' , 'ESCALATION' , NULL ,
 21 , 'UPPER' , 10 , 0 , 0 , 0 , 'ESCALATION' , 'ESCALATION' , 0 , 0 , 'Escalation' , NULL , 'Escalation' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'ESCALATION' , 'SLA' , 'ESCALATION' , 'ESCALATION' , NULL ,
 21 , 'UPPER' , 10 , 0 , 0 , 0 , 'ESCALATION' , 'ESCALATION' , 0 , 0 , 'Escalation' , NULL , 'Escalation' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'DESCRIPTION_LONGDESCRIPTION' , NULL , NULL , 'DESCRIPTION_LONGDESCRIPTION' , NULL ,
 22 , 'LONGALN' , 32000 , 0 , 0 , 0 , NULL , NULL , 1 , 0 , 'Long description for description' , NULL , 'Details' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'TEXT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'DESCRIPTION_LONGDESCRIPTION' , NULL , NULL , 'DESCRIPTION_LONGDESCRIPTION' , NULL ,
 22 , 'LONGALN' , 32000 , 0 , 0 , 0 , NULL , NULL , 1 , 0 , 'Long description for description' , NULL , 'Details' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'TEXT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CONDITION' , 'SLA' , 'CONDITION' , 'CONDITION' , NULL ,
 23 , 'ALN' , 2000 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Additional SQL condition used to further refine the criteria for applying an SLA to a record.' , NULL , 'Condition Code' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CONDITION' , 'SLA' , 'CONDITION' , 'CONDITION' , NULL ,
 23 , 'ALN' , 2000 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Additional SQL condition used to further refine the criteria for applying an SLA to a record.' , NULL , 'Condition Code' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CONTACTTIME' , NULL , NULL , 'CONTACTTIME' , NULL ,
 24 , 'ALN' , 30 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Contact' , NULL , 'Contact' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CONTACTTIME' , NULL , NULL , 'CONTACTTIME' , NULL ,
 24 , 'ALN' , 30 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Contact' , NULL , 'Contact' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'RESPONSETIME' , NULL , NULL , 'RESPONSETIME' , NULL ,
 25 , 'ALN' , 30 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Response' , NULL , 'Response' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'RESPONSETIME' , NULL , NULL , 'RESPONSETIME' , NULL ,
 25 , 'ALN' , 30 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Response' , NULL , 'Response' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'RESOLUTIONTIME' , NULL , NULL , 'RESOLUTIONTIME' , NULL ,
 26 , 'ALN' , 30 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Resolution' , NULL , 'Resolution' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'RESOLUTIONTIME' , NULL , NULL , 'RESOLUTIONTIME' , NULL ,
 26 , 'ALN' , 30 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Resolution' , NULL , 'Resolution' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'SLAID' , 'SLA' , 'SLAID' , 'SLAID' , NULL ,
 27 , 'INTEGER' , 12 , 0 , 1 , 0 , NULL , NULL , 1 , 0 , 'Unique Identifier' , NULL , 'SLAID' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'SLAID' , 'SLA' , 'SLAID' , 'SLAID' , NULL ,
 27 , 'INTEGER' , 12 , 0 , 1 , 0 , NULL , NULL , 1 , 0 , 'Unique Identifier' , NULL , 'SLAID' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'SLASHIFT' , 'SLA' , 'SLASHIFT' , 'SLASHIFT' , NULL ,
 28 , 'UPPER' , 8 , 0 , 0 , 0 , 'SHIFT' , 'SHIFTNUM' , 0 , 0 , 'Along with the Calendar, sets the business hours for which the service level agreement (SLA) is valid. Click the Select Value button to choose a shift.' , NULL , 'Shift' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAShift' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'SLASHIFT' , 'SLA' , 'SLASHIFT' , 'SLASHIFT' , NULL ,
 28 , 'UPPER' , 8 , 0 , 0 , 0 , 'SHIFT' , 'SHIFTNUM' , 0 , 0 , 'Along with the Calendar, sets the business hours for which the service level agreement (SLA) is valid. Click the Select Value button to choose a shift.' , NULL , 'Shift' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAShift' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'SLAORGID' , 'SLA' , 'SLAORGID' , 'SLAORGID' , NULL ,
 29 , 'UPPER' , 8 , 0 , 0 , 0 , 'ORGANIZATION' , 'ORGID' , 0 , 0 , 'Organization for the Applies To Calendar, which sets the applicable business days, hours, and shift for records to which this SLA is applied. Click the Detail Menu button to select an organization or go to the Organizations application to create one.' , NULL , 'Organization' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAOrgId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'SLAORGID' , 'SLA' , 'SLAORGID' , 'SLAORGID' , NULL ,
 29 , 'UPPER' , 8 , 0 , 0 , 0 , 'ORGANIZATION' , 'ORGID' , 0 , 0 , 'Organization for the Applies To Calendar, which sets the applicable business days, hours, and shift for records to which this SLA is applied. Click the Detail Menu button to select an organization or go to the Organizations application to create one.' , NULL , 'Organization' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAOrgId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CALCCALENDAR' , 'SLA' , 'CALCCALENDAR' , 'CALCCALENDAR' , NULL ,
 30 , 'UPPER' , 8 , 0 , 0 , 0 , 'CALENDAR' , 'CALNUM' , 0 , 0 , 'Business days and times used to calculate the Target Contact, Target Response, and Target Resolution dates on a ticket or work order. Click the Detail Menu to select a calendar or go to the Calendars application to create one.' , NULL , 'Calendar' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLACalendar' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CALCCALENDAR' , 'SLA' , 'CALCCALENDAR' , 'CALCCALENDAR' , NULL ,
 30 , 'UPPER' , 8 , 0 , 0 , 0 , 'CALENDAR' , 'CALNUM' , 0 , 0 , 'Business days and times used to calculate the Target Contact, Target Response, and Target Resolution dates on a ticket or work order. Click the Detail Menu to select a calendar or go to the Calendars application to create one.' , NULL , 'Calendar' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLACalendar' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CALCSHIFT' , 'SLA' , 'CALCSHIFT' , 'CALCSHIFT' , NULL ,
 31 , 'UPPER' , 8 , 0 , 0 , 0 , 'SHIFT' , 'SHIFTNUM' , 0 , 0 , 'Along with the calculation calendar, sets the business hours that calculate the Target Contact, Target Response, and Target Resolution dates on a ticket or work order. Click the Select Value button to choose a shift.' , NULL , 'Shift' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAShift' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CALCSHIFT' , 'SLA' , 'CALCSHIFT' , 'CALCSHIFT' , NULL ,
 31 , 'UPPER' , 8 , 0 , 0 , 0 , 'SHIFT' , 'SHIFTNUM' , 0 , 0 , 'Along with the calculation calendar, sets the business hours that calculate the Target Contact, Target Response, and Target Resolution dates on a ticket or work order. Click the Select Value button to choose a shift.' , NULL , 'Shift' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAShift' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CALCORGID' , 'SLA' , 'CALCORGID' , 'CALCORGID' , NULL ,
 32 , 'UPPER' , 8 , 0 , 0 , 0 , 'ORGANIZATION' , 'ORGID' , 0 , 0 , 'Organization associated with the calculation calendar, and used with the Calendar and Shift fields to calculate the Target Contact, Target Response, and Target Resolution dates on a ticket or work order. Click the Detail Menu button to select an organization or go to the Organizations application to create one.' , NULL , 'Organization' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAOrgId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CALCORGID' , 'SLA' , 'CALCORGID' , 'CALCORGID' , NULL ,
 32 , 'UPPER' , 8 , 0 , 0 , 0 , 'ORGANIZATION' , 'ORGID' , 0 , 0 , 'Organization associated with the calculation calendar, and used with the Calendar and Shift fields to calculate the Target Contact, Target Response, and Target Resolution dates on a ticket or work order. Click the Detail Menu button to select an organization or go to the Organizations application to create one.' , NULL , 'Organization' ,
 NULL , 1 , 0 , NULL , 'psdi.app.sla.FldSLAOrgId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'EXPOBJECT' , NULL , NULL , 'EXPOBJECT' , NULL ,
 33 , 'UPPER' , 18 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Exp Object' , NULL , 'Exp Object' ,
 NULL , 0 , 0 , NULL , 'psdi.app.sla.FldSLAExpObject' , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'EXPOBJECT' , NULL , NULL , 'EXPOBJECT' , NULL ,
 33 , 'UPPER' , 18 , 0 , 0 , 0 , NULL , NULL , 0 , 0 , 'Exp Object' , NULL , 'Exp Object' ,
 NULL , 0 , 0 , NULL , 'psdi.app.sla.FldSLAExpObject' , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'SLACONTACT' , 'SLA' , 'SLACONTACT' , 'SLACONTACT' , NULL ,
 34 , 'UPPER' , 30 , 0 , 0 , 0 , 'PERSON' , 'PERSONID' , 0 , 0 , 'Peson responsible for administering the service level agreement (SLA). Click the Select Value button to choose an administrator.' , NULL , 'SLA Administrator' ,
 NULL , 1 , 0 , NULL , 'psdi.app.person.FldPersonID' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'SLACONTACT' , 'SLA' , 'SLACONTACT' , 'SLACONTACT' , NULL ,
 34 , 'UPPER' , 30 , 0 , 0 , 0 , 'PERSON' , 'PERSONID' , 0 , 0 , 'Peson responsible for administering the service level agreement (SLA). Click the Select Value button to choose an administrator.' , NULL , 'SLA Administrator' ,
 NULL , 1 , 0 , NULL , 'psdi.app.person.FldPersonID' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'NP_STATUSMEMO' , NULL , NULL , 'NP_STATUSMEMO' , NULL ,
 35 , 'ALN' , 50 , 0 , 0 , 0 , 'WFTRANSACTION' , 'MEMO' , 0 , 0 , 'Status change memo, temporary non-persistent field used by MEA' , NULL , 'Change Status Memo' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'NP_STATUSMEMO' , NULL , NULL , 'NP_STATUSMEMO' , NULL ,
 35 , 'ALN' , 50 , 0 , 0 , 0 , 'WFTRANSACTION' , 'MEMO' , 0 , 0 , 'Status change memo, temporary non-persistent field used by MEA' , NULL , 'Change Status Memo' ,
 NULL , 0 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'NONE' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'LANGCODE' , 'SLA' , 'LANGCODE' , 'LANGCODE' , NULL ,
 36 , 'UPPER' , 4 , 0 , 1 , 0 , 'LANGUAGE' , 'MAXLANGCODE' , 1 , 0 , 'Language Column' , NULL , 'Language Code' ,
 NULL , 1 , 0 , NULL , 'psdi.app.system.FldLangCode' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'LANGCODE' , 'SLA' , 'LANGCODE' , 'LANGCODE' , NULL ,
 36 , 'UPPER' , 4 , 0 , 1 , 0 , 'LANGUAGE' , 'MAXLANGCODE' , 1 , 0 , 'Language Column' , NULL , 'Language Code' ,
 NULL , 1 , 0 , NULL , 'psdi.app.system.FldLangCode' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CUSTVENDORCONTACT' , 'SLA' , 'CUSTVENDORCONTACT' , 'CUSTVENDORCONTACT' , NULL ,
 37 , 'UPPER' , 30 , 0 , 0 , 0 , 'PERSON' , 'PERSONID' , 0 , 0 , 'Primary contact person if the service level agreement is of type CUSTOMER or VENDOR. Click the Select Value button to choose a contact person or go the People application to create one.' , NULL , 'Customer/Vendor Contact' ,
 NULL , 1 , 0 , NULL , 'psdi.app.person.FldPersonID' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CUSTVENDORCONTACT' , 'SLA' , 'CUSTVENDORCONTACT' , 'CUSTVENDORCONTACT' , NULL ,
 37 , 'UPPER' , 30 , 0 , 0 , 0 , 'PERSON' , 'PERSONID' , 0 , 0 , 'Primary contact person if the service level agreement is of type CUSTOMER or VENDOR. Click the Select Value button to choose a contact person or go the People application to create one.' , NULL , 'Customer/Vendor Contact' ,
 NULL , 1 , 0 , NULL , 'psdi.app.person.FldPersonID' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'CLASSSTRUCTUREID' , 'SLA' , 'CLASSSTRUCTUREID' , 'CLASSSTRUCTUREID' , NULL ,
 38 , 'UPPER' , 20 , 0 , 0 , 0 , 'CLASSSTRUCTURE' , 'CLASSSTRUCTUREID' , 1 , 0 , 'Target Record Classification' , NULL , 'Target Record Classification' ,
 NULL , 1 , 0 , NULL , 'psdi.app.assetcatalog.FldClassStructureId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'CLASSSTRUCTUREID' , 'SLA' , 'CLASSSTRUCTUREID' , 'CLASSSTRUCTUREID' , NULL ,
 38 , 'UPPER' , 20 , 0 , 0 , 0 , 'CLASSSTRUCTURE' , 'CLASSSTRUCTUREID' , 1 , 0 , 'Target Record Classification' , NULL , 'Target Record Classification' ,
 NULL , 1 , 0 , NULL , 'psdi.app.assetcatalog.FldClassStructureId' , 0 , 0 , 0 ,
 'WILDCARD' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxattribute
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,maxattributeid) values (
 'SLA' , 'HASLD' , 'SLA' , 'HASLD' , 'HASLD' , NULL ,
 39 , 'YORN' , 1 , 0 , 1 , 0 , NULL , NULL , 1 , 0 , 'Boolean flag to indicate if there is any long description for this record' , '0' , 'Has Long Description?' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,nextval for maxattributeseq)
;



insert into maxattributecfg
(objectname, attributename, entityname,columnname, alias, autokeyname,attributeno,maxtype,length,scale,required,
isldowner,sameasobject, sameasattribute,mustbe,ispositive,remarks,defaultvalue,title,
primarykeycolseq,persistent,userdefined, domainid, classname, canautonum, eauditenabled,esigenabled,searchtype,
mlsupported,mlinuse,changed,maxattributeid) values (
 'SLA' , 'HASLD' , 'SLA' , 'HASLD' , 'HASLD' , NULL ,
 39 , 'YORN' , 1 , 0 , 1 , 0 , NULL , NULL , 1 , 0 , 'Boolean flag to indicate if there is any long description for this record' , '0' , 'Has Long Description?' ,
 NULL , 1 , 0 , NULL , NULL , 0 , 0 , 0 ,
 'EXACT' , 0 , 0 ,'N',nextval for maxattributecfgseq)
;



insert into maxsysindexes
( name, tbname, uniquerule, changed, clusterrule, 
storagepartition, required, textsearch,maxsysindexesid)
values
('SLA_NDX', 'SLA', 'U', 'N', 0, 
'MAXIMO', 1, 0,nextval for maxsysindexesseq)
;

insert into maxsysindexes
( name, tbname, uniquerule, changed, clusterrule, 
storagepartition, required, textsearch,maxsysindexesid)
values
('SLA_NDX1', 'SLA', 'U', 'N', 0, 
'MAXIMO', 0, 0,nextval for maxsysindexesseq)
;

insert into maxsysindexes
( name, tbname, uniquerule, changed, clusterrule, 
storagepartition, required, textsearch,maxsysindexesid)
values
('SLA_NDX2', 'SLA', 'D', 'N', 0, 
'MAXIMO', 0, 1,nextval for maxsysindexesseq)
;

insert into maxsyskeys
( ixname, colname, colseq, ordering, changed,maxsyskeysid)
values
('SLA_NDX', 'SLAID', 1, 'A', 'N',nextval for maxsyskeysseq)
;

insert into maxsyskeys
( ixname, colname, colseq, ordering, changed,maxsyskeysid)
values
('SLA_NDX1', 'SLANUM', 1, 'A', 'N',nextval for maxsyskeysseq)
;

insert into maxsyskeys
( ixname, colname, colseq, ordering, changed,maxsyskeysid)
values
('SLA_NDX2', 'DESCRIPTION', 1, 'A', 'N',nextval for maxsyskeysseq)
;


/**re-create 622 b198 core sla table now**/

create table sla (

slanum varchar (10) not null,

slatype varchar (10) not null,

objectname varchar (30) not null,

description varchar (254),

status varchar (12) not null,

statusdate timestamp,

startdate timestamp,

enddate timestamp,

reviewdate timestamp,

ranking integer,

commoditygroup varchar (8),

commodity varchar (8),

orgid varchar (8),

siteid varchar (8),

vendor varchar (12),

slacalendar varchar (8),

createby varchar (30),

createdate timestamp,

changeby varchar (30) not null,

changedate timestamp,

escalation varchar (16),

condition varchar (2000),

slaid integer not null PRIMARY KEY ,

slashift varchar (8),

slaorgid varchar (8),

calccalendar varchar (8),

calcshift varchar (8),

calcorgid varchar (8),

slacontact varchar (30),

langcode varchar (4) not null,

custvendorcontact varchar (30),

classstructureid varchar (20),

hasld integer not null,

rowstamp integer not null

)

;


create unique index sla_ndx1 on sla (slanum) cluster 

;

create unique index sla_ndx on sla (slaid)

;



